Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
token-exchange-profiles
/
{id}
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.UpdateTokenExchangeProfileRequestContent{}
    client.TokenExchangeProfiles.Update(
        context.TODO(),
        "id",
        request,
    )
}
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.tokenExchangeProfiles.update("id", {});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.tokenExchangeProfiles.update("id", {});
}
main();
curl --request PATCH \
--url https://{tenantDomain}/api/v2/token-exchange-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Token Exchange Profile 1",
"subject_token_type": "<string>"
}
'
import requests

url = "https://{tenantDomain}/api/v2/token-exchange-profiles/{id}"

payload = {
"name": "Token Exchange Profile 1",
"subject_token_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)



Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

ID of the Token Exchange Profile to update.

Corps

name
string
défaut:Token Exchange Profile 1

Friendly name of this profile.

Required string length: 3 - 50
subject_token_type
string<url>

Subject token type for this profile. When receiving a token exchange request on the Authentication API, the corresponding token exchange profile with a matching subject_token_type will be executed. This must be a URI.

Required string length: 8 - 100

Réponse

Token exchange profile successfully updated.